diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/version-defines.h.in ns-3.43/src/core/model/version-defines.h.in
--- ns-3.42/src/core/model/version-defines.h.in	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/version-defines.h.in	2024-10-09 16:41:09.864655700 -0700
@@ -1,19 +1,7 @@
-/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
 /*
  * Copyright (c) 2018 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
@@ -22,16 +10,16 @@
 #define NS3_VERSION_DEFINES_H_
 
 /**
-  * \file
-  * \ingroup buildversion
-  * Defines the macro values for printing the build version.
-  * These will be populated by the build system.
-  */
+ * \file
+ * \ingroup buildversion
+ * Defines the macro values for printing the build version.
+ * These will be populated by the build system.
+ */
 
 /**
-  * \ingroup buildversion
-  * @{
-  */
+ * \ingroup buildversion
+ * @{
+ */
 
 /**
  * The first tag found which matches the pattern ns-3*.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/version.h ns-3.43/src/core/model/version.h
--- ns-3.42/src/core/model/version.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/version.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/wall-clock-synchronizer.cc ns-3.43/src/core/model/wall-clock-synchronizer.cc
--- ns-3.42/src/core/model/wall-clock-synchronizer.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/wall-clock-synchronizer.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "wall-clock-synchronizer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/wall-clock-synchronizer.h ns-3.43/src/core/model/wall-clock-synchronizer.h
--- ns-3.42/src/core/model/wall-clock-synchronizer.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/wall-clock-synchronizer.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef WALL_CLOCK_CLOCK_SYNCHRONIZER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/warnings.h ns-3.43/src/core/model/warnings.h
--- ns-3.42/src/core/model/warnings.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/warnings.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/watchdog.cc ns-3.43/src/core/model/watchdog.cc
--- ns-3.42/src/core/model/watchdog.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/watchdog.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/watchdog.h ns-3.43/src/core/model/watchdog.h
--- ns-3.42/src/core/model/watchdog.h	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/watchdog.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/win32-fd-reader.cc ns-3.43/src/core/model/win32-fd-reader.cc
--- ns-3.42/src/core/model/win32-fd-reader.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/win32-fd-reader.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tom Goff <thomas.goff@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/attribute-container-test-suite.cc ns-3.43/src/core/test/attribute-container-test-suite.cc
--- ns-3.42/src/core/test/attribute-container-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/attribute-container-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Caliola Engineering, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jared Dulmage <jared.dulmage@caliola.com>
  */
@@ -26,7 +15,9 @@
 #include <ns3/ptr.h>
 #include <ns3/string.h>
 #include <ns3/test.h>
+#include <ns3/tuple.h>
 #include <ns3/type-id.h>
+#include <ns3/uinteger.h>
 
 #include <algorithm>
 #include <iterator>
@@ -394,7 +385,25 @@
         NS_TEST_ASSERT_MSG_EQ(attr.GetN(), 3, "Incorrect container size");
 
         std::string reserialized = attr.SerializeToString(checker);
-        NS_TEST_ASSERT_MSG_EQ(reserialized, pairs, "Reserealization failed");
+        NS_TEST_ASSERT_MSG_EQ(reserialized, pairs, "Reserialization failed");
+    }
+
+    {
+        std::string tupleVec = "{-1, 2, 3.4};{-2, 1, 4.3}";
+        AttributeContainerValue<TupleValue<IntegerValue, UintegerValue, DoubleValue>, ';'> attr;
+        auto checker = MakeAttributeContainerChecker(attr);
+        auto acchecker = DynamicCast<AttributeContainerChecker>(checker);
+        acchecker->SetItemChecker(MakeTupleChecker<IntegerValue, UintegerValue, DoubleValue>(
+            MakeIntegerChecker<int8_t>(),
+            MakeUintegerChecker<uint16_t>(),
+            MakeDoubleChecker<double>()));
+        NS_TEST_ASSERT_MSG_EQ(attr.DeserializeFromString(tupleVec, checker),
+                              true,
+                              "Deserialization failed");
+        NS_TEST_ASSERT_MSG_EQ(attr.GetN(), 2, "Incorrect container size");
+
+        std::string reserialized = attr.SerializeToString(checker);
+        NS_TEST_ASSERT_MSG_EQ(reserialized, tupleVec, "Reserialization failed");
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/attribute-test-suite.cc ns-3.43/src/core/test/attribute-test-suite.cc
--- ns-3.42/src/core/test/attribute-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/attribute-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/boolean.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/build-profile-test-suite.cc ns-3.43/src/core/test/build-profile-test-suite.cc
--- ns-3.42/src/core/test/build-profile-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/build-profile-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 LLNL
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/callback-test-suite.cc ns-3.43/src/core/test/callback-test-suite.cc
--- ns-3.42/src/core/test/callback-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/callback-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/callback.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/command-line-test-suite.cc ns-3.43/src/core/test/command-line-test-suite.cc
--- ns-3.42/src/core/test/command-line-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/command-line-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/config-test-suite.cc ns-3.43/src/core/test/config-test-suite.cc
--- ns-3.42/src/core/test/config-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/config-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/environment-variable-test-suite.cc ns-3.43/src/core/test/environment-variable-test-suite.cc
--- ns-3.42/src/core/test/environment-variable-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/environment-variable-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/event-garbage-collector-test-suite.cc ns-3.43/src/core/test/event-garbage-collector-test-suite.cc
--- ns-3.42/src/core/test/event-garbage-collector-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/event-garbage-collector-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/examples-as-tests-test-suite.cc ns-3.43/src/core/test/examples-as-tests-test-suite.cc
--- ns-3.42/src/core/test/examples-as-tests-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/examples-as-tests-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/global-value-test-suite.cc ns-3.43/src/core/test/global-value-test-suite.cc
--- ns-3.42/src/core/test/global-value-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/global-value-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/hash-test-suite.cc ns-3.43/src/core/test/hash-test-suite.cc
--- ns-3.42/src/core/test/hash-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/hash-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/int64x64-test-suite.cc ns-3.43/src/core/test/int64x64-test-suite.cc
--- ns-3.42/src/core/test/int64x64-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/int64x64-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,19 +1,7 @@
 /*
  * Copyright (c) 2011 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/int64x64.h"
@@ -182,7 +170,8 @@
     if (int64x64_t::implementation == int64x64_t::ld_impl)
     {
         // Darwin 12.5.0 (Mac 10.8.5) g++ 4.2.1
-        low = static_cast<uint64_t>(HP_MAX_64 * std::numeric_limits<long double>::epsilon());
+        low = static_cast<uint64_t>(int64x64_t::HP_MAX_64 *
+                                    std::numeric_limits<long double>::epsilon());
     }
 
     Check(0, 0);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/length-test-suite.cc ns-3.43/src/core/test/length-test-suite.cc
--- ns-3.42/src/core/test/length-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/length-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathew Bielejeski<bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc ns-3.43/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc
--- ns-3.42/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/matrix-array-test-suite.cc ns-3.43/src/core/test/matrix-array-test-suite.cc
--- ns-3.42/src/core/test/matrix-array-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/matrix-array-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Biljana Bojovic <bbojovic@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/names-test-suite.cc ns-3.43/src/core/test/names-test-suite.cc
--- ns-3.42/src/core/test/names-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/names-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/names.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/test/object-test-suite.cc ns-3.43/src/core/test/object-test-suite.cc
--- ns-3.42/src/core/test/object-test-suite.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/test/object-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA, Gustavo Carneiro
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Gustavo Carneiro <gjcarneiro@gmail.com>,
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
